Index: apps/app_externalivr.c
===================================================================
--- apps/app_externalivr.c	(revision 45643)
+++ apps/app_externalivr.c	(working copy)
@@ -152,7 +152,7 @@
 		if (state->current) {
 			file_to_stream = state->current->filename;
 		} else {
-			file_to_stream = "silence-10";
+			file_to_stream = "silence/10";
 			u->playing_silence = 1;
 		}
 
Index: Makefile
===================================================================
--- Makefile	(revision 45643)
+++ Makefile	(working copy)
@@ -553,6 +553,7 @@
 datafiles: all
 	if [ x`$(ID) -un` = xroot ]; then sh mkpkgconfig $(DESTDIR)/usr/lib/pkgconfig; fi
 	mkdir -p $(DESTDIR)$(ASTVARLIBDIR)/sounds/digits
+	mkdir -p $(DESTDIR)$(ASTVARLIBDIR)/sounds/silence
 	mkdir -p $(DESTDIR)$(ASTVARLIBDIR)/sounds/priv-callerintros
 	for x in sounds/digits/*.gsm; do \
 		if $(GREP) -q "^%`basename $$x`%" sounds.txt; then \
@@ -562,6 +563,14 @@
 			exit 1; \
 		fi; \
 	done
+	for x in sounds/silence/*.gsm; do \
+		if $(GREP) -q "^%`basename $$x`%" sounds.txt; then \
+			$(INSTALL) -m 644 $$x $(DESTDIR)$(ASTVARLIBDIR)/sounds/silence ; \
+		else \
+			echo "No description for $$x"; \
+			exit 1; \
+		fi; \
+	done
 	mkdir -p $(DESTDIR)$(ASTVARLIBDIR)/sounds/dictate
 	for x in sounds/dictate/*.gsm; do \
 		if $(GREP) -q "^%`basename $$x`%" sounds.txt; then \
Index: sounds.txt
===================================================================
--- sounds.txt	(revision 45643)
+++ sounds.txt	(working copy)
@@ -728,3 +728,7 @@
 
 %spy-zap.gsm%Zap
 
+
+; Silence directory
+
+%10.gsm%10 sec silence
